Package com.usatiuk.dhfs.syncmap

# Class DtoMapperService

java.lang.Object
com.usatiuk.dhfs.syncmap.DtoMapperService

@Singleton public class DtoMapperService extends Object

## Constructor Summary

Constructors
Constructor
Description
`DtoMapperService(jakarta.enterprise.inject.Instance<DtoMapper<?,?>> dtoMappers)`

## Method Summary

Modifier and Type
Method
Description
`<F extends JDataRemote, D extends JDataRemoteDto>
F`
`fromDto(D from, Class<F> to)`
`<F extends JDataRemote, D extends JDataRemoteDto>
D`
`toDto(F from, Class<D> to)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DtoMapperService

public DtoMapperService(jakarta.enterprise.inject.Instance<DtoMapper<?,?>> dtoMappers)

## Method Details

### toDto

public <F extends JDataRemote, D extends JDataRemoteDto> D toDto(F from, Class<D> to)

### fromDto

public <F extends JDataRemote, D extends JDataRemoteDto> F fromDto(D from, Class<F> to)